#
# ATRef_Thesis.py
#
# Referencias bibliográficas basadas en BibTex
#
# Tésis
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, DateTimeField
from Products.Archetypes.public import StringWidget, CalendarWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    StringField('organization',
                searchable = 1,
		widget = StringWidget(label       = 'Organización',
                                      label_msgid = 'organization',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('address',
		widget = StringWidget(label       = 'Dirección',
                                      label_msgid = 'address',
                                      i18n_domain = 'References',
                                      )
              ),
    DateTimeField('date',
		widget = CalendarWidget(label       = 'Fecha',
                                        label_msgid = 'date',
                                        i18n_domain = 'References',
                                        )
	      ),

    ),
                              )
# Clase
class ATRef_Conference(ATReference):
    """Conference Reference"""

    schema = schema

    content_icon    = 'ref_conference.gif'
    meta_type       = 'ATRef_Conference'
    portal_type     = 'ConferenceReference'
    archetype_name  = 'Conference Reference'
    typeDescription = 'Conference Reference'

    actions = ({
	'id'         : 'view',
	'name'       : 'View',
	'action'     : 'string:${object_url}/conference_view',
	'permissions': (CMFCorePermissions.View,)
	},)

# Registrar el tipo
registerType(ATRef_Conference, PROJECTNAME)
