#
# ATReference.py
#
# Referencias bibliográficas basadas en BibTex
#
# Clase base para los tipos de referencias
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, TextField, ImageField
from Products.Archetypes.public import TextAreaWidget, StringWidget, ImageWidget
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.utils import getToolByName
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME

# Campos
schema = BaseSchema +  Schema((
    StringField('authors',
                searchable = 1,
                widget = StringWidget(label       = 'Authors',
                                      label_msgid = 'authors',
                                      i18n_domain = 'References',
                                      size        = 80,
                                      ),
                ),
    TextField('long_description',
              searchable = 1,
              required = 1,
              widget=TextAreaWidget(label       = 'Long description',
                                    label_msgid = 'long_description',
                                    i18n_domain = 'References',
                                    ),
              ),
    ),
                              )

schema['description'].schemata = 'default'
schema['title'].mutator = 'setTitle' # Método a invocar cuando cambie el campo 'title'

# Campo
class ATReference(BaseContent):
    """Reference Base Class"""

    schema = schema

    content_icon    = 'book_icon.gif'
    meta_type       = 'ATReference'
    portal_type     = 'Reference'
    archetype_name  = 'Reference'
    typeDescription = 'Reference Base Class'

    # Cambia el ID de forma que sea adecuado al título
    def setTitle(self, value):
        """
        Descripción: Cambia el ID del objeto de acuerdo al nuevo título.
        Parámetros:  value = Nuevo título.
        Devuelve:    Nada.
        """
        plone_tool = getToolByName(self, 'plone_utils')
        self.setId(plone_tool.normalizeString(value))
        self.title = value
        

# NOTA: Esta clase no se registra, es abstracta
